<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::acl::test::MockPostConnectFactory Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_post_connect_factory.html">MockPostConnectFactory</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_post_connect_factory-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::test::MockPostConnectFactory Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_mock_post_connect_factory_8h_source.html">MockPostConnectFactory.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::acl::test::MockPostConnectFactory:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_post_connect_factory__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1test_1_1_mock_post_connect_factory_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1test_1_1_mock_post_connect_factory_inherit__map" id="alexa_client_s_d_k_1_1acl_1_1test_1_1_mock_post_connect_factory_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html" title="alexaClientSDK::acl\l::PostConnectFactoryInterface" alt="" coords="10,5,211,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::acl::test::MockPostConnectFactory:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_post_connect_factory__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1test_1_1_mock_post_connect_factory_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1test_1_1_mock_post_connect_factory_coll__map" id="alexa_client_s_d_k_1_1acl_1_1test_1_1_mock_post_connect_factory_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html" title="alexaClientSDK::acl\l::PostConnectFactoryInterface" alt="" coords="10,5,211,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6f0c9e516a8f6d2d419361c3f57e7a17"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_post_connect_factory.html#a6f0c9e516a8f6d2d419361c3f57e7a17">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html#abb05b96a029b86b212a6be4ebfcea8a0">createPostConnect</a>, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html">PostConnectInterface</a> &gt;())</td></tr>
<tr class="separator:a6f0c9e516a8f6d2d419361c3f57e7a17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html">alexaClientSDK::acl::PostConnectFactoryInterface</a></td></tr>
<tr class="memitem:ad93b61da1cd300e223d9e10d1ae76000 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html#ad93b61da1cd300e223d9e10d1ae76000">~PostConnectFactoryInterface</a> ()=default</td></tr>
<tr class="separator:ad93b61da1cd300e223d9e10d1ae76000 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb05b96a029b86b212a6be4ebfcea8a0 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface"><td class="memItemLeft" align="right" valign="top">virtual std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html">PostConnectInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html#abb05b96a029b86b212a6be4ebfcea8a0">createPostConnect</a> ()=0</td></tr>
<tr class="separator:abb05b96a029b86b212a6be4ebfcea8a0 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">A mock class of <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html">PostConnectFactoryInterface</a></code>. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a6f0c9e516a8f6d2d419361c3f57e7a17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f0c9e516a8f6d2d419361c3f57e7a17">&#9670;&nbsp;</a></span>MOCK_METHOD0()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::test::MockPostConnectFactory::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_factory_interface.html#abb05b96a029b86b212a6be4ebfcea8a0">createPostConnect</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html">PostConnectInterface</a> &gt;&#160;</td>
          <td class="paramname">()&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/ACL/test/Transport/<a class="el" href="_mock_post_connect_factory_8h_source.html">MockPostConnectFactory.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
